// types.ts
export interface Sprite {
  img: HTMLImageElement;
  width: number;
  height: number;
  x: number;
  y: number;
  name: string;
  id: string;
  uploadOrder: number;
}

export interface CellSize {
  width: number;
  height: number;
}

export interface AnimationState {
  canvas: HTMLCanvasElement | null;
  ctx: CanvasRenderingContext2D | null;
  currentFrame: number;
  isPlaying: boolean;
  frameRate: number;
  lastFrameTime: number;
  animationId: number | null;
  slider: HTMLInputElement | null;
  manualUpdate: boolean;
}

export interface SpriteOffset {
  x: number;
  y: number;
}

export interface NotificationState {
  isVisible: boolean;
  message: string;
  type: 'success' | 'error';
}

export interface PreviewBorderSettings {
  enabled: boolean;
  color: string;
  width: number;
}
